import { Component, OnDestroy, OnInit } from '@angular/core';
import { HttpResponse } from '@angular/common/http';
import { UserWatchListService } from '../entities/user-watch-list/user-watch-list.service';
import { IUserWatchList } from 'app/shared/model/user-watch-list.model';


@Component({
    selector: 'jhi-watchlist',
    templateUrl: './watchlist.component.html',
    styleUrls: ['./watchlist.component.scss'],
})
export class WatchlistComponent implements OnInit, OnDestroy {

    myWatchLists: IUserWatchList[] | undefined;

    constructor(
        protected watchListService: UserWatchListService,
    ) {
    }


    ngOnInit(): void {
        if (!this.myWatchLists) {
            this.watchListService.findMyWatchlists().subscribe((data: HttpResponse<IUserWatchList[]>) => {
                if (data.body) {
                    this.myWatchLists = data.body;
                    /*
                    this.myWatchLists = [];
                    for (let i = 0; i < data.body.length; i++) {
                        this.myWatchLists.push(data.body[i]);
                    }
                    */
                }

            })

        }
    }

    ngOnDestroy(): void {
    }

}
